#include <applicat.h>
#include <mask.h>
#include <config.h>
#include <utility.h>
#include <execp.h>
#include <isam.h>

#include "bainst.h"
#include "bainst05.h"

class TInstall_VE : public TSkeleton_application
{
  TMask * _m;
protected:
  virtual void main_loop() ;
  virtual bool install_firm() ; // setta i dati ditta
  virtual bool install_com() ; // setta i dati comuni
 
public:
  virtual ~TInstall_VE () {}
};

// setta i dati ditta
bool TInstall_VE ::install_firm() 
{
  // ciclo su ogni ditta
  return TRUE;
}

bool TInstall_VE ::install_com() 
{
  bool ok=TRUE;
  if (_m->get_bool(F_LOADTAB))
  {
    TStd_filename txtfile("vetabcom.txt");
    TSystemisamfile tabcom(LF_TABCOM);
    if (!txtfile.blank())
      tabcom.load(txtfile);
  }
  return ok;
}

void TInstall_VE::main_loop() 
{
  TConfig ini("install.ini","ve");
  const bool primainst=ini.get("Versione").blank();

  _m = new TMask ("bainst05.msk");
  if (primainst)
    _m->set(F_LOADTAB,"X");
  if (_m->run()!=K_QUIT)
  {
    install_firm();
    install_com();
  }
}

int bainst05(int argc, char** argv)
{ 
  TInstall_VE app;
  app.run(argc, argv, "Installazione Vendite");
  return 0;
}