#include <applicat.h>
#include <mask.h>
#include <isam.h>
#include <utility.h>
#include "bainst.h"
#include "bainst17.h"

class TInstall_AT : public TInstallmodule_app
{
protected:
  virtual int module_number() const {return 17;}

  virtual bool preload_mask() ;
  virtual bool install_firm() ; //
  bool post_installer() ;
 
public:
  virtual ~TInstall_AT () {}
};

bool TInstall_AT ::install_firm() 
{
  bool ok=TRUE;
  set_firm(1); // provvisorio ....
  TStd_filename txtfile("svtab.txt");
  if (txtfile.check(TRUE))
  {
    TSystemisamfile tabditta(LF_TAB);
    tabditta.load(txtfile);
  }
  return ok;
}

bool TInstall_AT ::post_installer() 
{
  bool ok=TRUE;
  if (_m->get_bool(F_USAMENUAVIS))
    ok=fcopy("agaat.men","baprassi.men");
  return ok;
}

bool TInstall_AT::preload_mask()
{
  _m->field(F_USAMENUAVIS).set("X");
  return TInstallmodule_app::preload_mask();
}

int bainst17(int argc, char** argv)
{ 
  TInstall_AT app;
  app.run(argc, argv);
  return 0;
}