#define LF_TAB_MAG 500
USE LF_ANAMAG KEY 1 
JOIN LF_STOMAG TO LF_ANAMAG INTO ANNOESRIF==1996 CODART==CODART
JOIN LF_UMART TO LF_ANAMAG INTO CODART==CODART
JOIN MAG TO LF_STOMAG ALIAS LF_TAB_MAG INTO CODTAB==CODMAG[1,3]
END
  
DESCRIPTION
BEGIN
  47->* "Anagrafica articoli"
  109->* "Archivio Giacenze"
  MAG->* "Tabella magazzini"
  49->* "Unit di misura articoli"
END

GENERAL
BEGIN
  OFFSET 0 1
//  FONT "Courier New"
//  SIZE 10
END


SECTION GRAPHIC
BEGIN
END

SECTION HEADER ODD 4

STRINGA 1 40 1
BEGIN
  KEY "nome ditta"
  PROMPT  1 1 "Ditta "
  MESSAGE _DITTA, !RAGSOC
END

STRINGA 2 10
BEGIN
  KEY "Data"
  PROMPT  120 1 "Data "
  MESSAGE _TODAY
END

NUMERO 3 7
BEGIN
  KEY "Nr. pagina"
  PROMPT  137 1 "Pagina "
  MESSAGE _PAGENO
END

NUMERO 4 32
BEGIN
  KEY "Intestazione stampa"
  PROMPT  45 2 "Stampa storico rimanenze"
END

STRINGA 5 146
BEGIN
  KEY "Separatore (iniziale)"
  PROMPT 1 3 "------------------------------------------------------------------------------------------------------------------------------------------------------"
END

END


SECTION BODY ODD 0


  SECTION GRUPPI_ARTICOLO 1 0 0 COLUMNWISE FILE LF_STOMAG

    SECTION H_ARTICOLO 1 3 1 GROUP
      STRINGA 11 20
      BEGIN
        KEY "CODART"
        PROMPT 2 1 "Articolo "
        FIELD LF_ANAMAG->CODART
      END
      STRINGA 12 50
      BEGIN
        KEY "DESCR"
        PROMPT 33 1 ""
        FIELD LF_ANAMAG->DESCR
      END
    END

    SECTION BODY_MAG 1 1 1 COLUMNWISE FILE LF_STOMAG GROUP CODART
      SECTION HD_MAG 1 2 1 NORMAL GROUP
        STRINGA 11 20
        BEGIN
          KEY "CODART"
          PROMPT 2 1 "Magazzino "
          FIELD LF_TAB_MAG@->CODTAB
        END
        STRINGA 12 50
        BEGIN
          KEY "DESCR"
          PROMPT 23 1 ""
          FIELD LF_TAB_MAG@->S0
        END
      END // HD MAG

      SECTION HD_ANNI 1 2 1 COLUMNWISE GROUP
        NUMERO 13 15
        BEGIN
          KEY "offset"
          PROMPT 1 1 ""
        END
        NUMERO 13 10
        BEGIN
          KEY "ANNO"
          PROMPT 2 1 "      Anno"
        END
        STRINGA 15 12 
        BEGIN
          KEY "QUANT"
          PROMPT 4 1 "Quantit( "
          FIELD LF_UMART->UM
        END
        NUMERO 16 12 
        BEGIN
          KEY "VALORE"
          PROMPT 5 1 ")   Valore"
        END
      END // HD ANNI
      SECTION BODY_ANNI 1 1 1 COLUMNWISE FILE LF_STOMAG GROUP CODMAG
        NUMERO 13 15
        BEGIN
          KEY "offset"
          PROMPT 1 1 ""
        END
        NUMERO 14 10
        BEGIN
          KEY "ANNO"
          PROMPT 2 1 ""
          FIELD LF_STOMAG->ANNOES
        END
        NUMERO 15 12 
        BEGIN
          KEY "QUANT"
          PROMPT 4 1 ""
          PICTURE "###.###,@@@"
          FIELD LF_STOMAG->QUANT
          MESSAGE ADD,115
        END
        NUMERO 16 12 
        BEGIN
          KEY "VALORE"
          PROMPT 5 1 ""
          PICTURE "###.###.###"
          FIELD LF_STOMAG->VALORE
          MESSAGE ADD,116
        END
    
      END // body anni
    END // gruppi anni dello stesso articolo

      SECTION FOOTER_ANNI 1 1 1 COLUMNWISE GROUP
        NUMERO 13 15
        BEGIN
          KEY "offset"
          PROMPT 1 1 ""
        END
        NUMERO 14 10
        BEGIN
          KEY "ANNO"
          PROMPT 2 1 "    Totale"
        END
        NUMERO 115 12 
        BEGIN
          KEY "QUANT"
          PROMPT 4 1 ""
          PICTURE "###.###,@@@"
        END
        NUMERO 116 12 
        BEGIN
          KEY "VALORE"
          PROMPT 5 1 ""
          PICTURE "###.###.###"
        END
    
      END // body anni


  END //  CICLO sul file di storico
  
END // section body, loop anamag

SECTION FOOTER ODD 2
END // fine footer

END // fine form
