#include <applicat.h>
#include <mask.h>
#include <config.h>
#include <utility.h>
#include <execp.h>
#include "bainst06.h"

class TInstall_MG : public TSkeleton_application
{
  TMask * _m;
protected:
  virtual void main_loop() ;
  virtual bool install_firm() ; // setta i dati ditta
  virtual bool install_com() ; // setta i dati comuni
 
public:
  virtual ~TInstall_MG () {}
};

// setta i dati ditta
bool TInstall_MG ::install_firm() 
{
  // ciclo su ogni ditta
  return TRUE;
}

bool TInstall_MG ::install_com() 
{
  bool ok=TRUE;
  if (_m->get_bool(F_LOADTAB))
  {
    TExternal_app rice("bacnv 1 4 mgtab.txt");
    ok &= (rice.run()==0);
  }
  return ok;
}

void TInstall_MG::main_loop() 
{
  TConfig ini("install.ini","mg");
  const bool primainst=ini.get("Versione").blank();

  _m = new TMask ("bainst06.msk");
  if (primainst)
    _m->set(F_LOADTAB,"X");
  if (_m->run()!=K_QUIT)
  {
    install_firm();
    install_com();
  }
}

int bainst06(int argc, char** argv)
{ 
  TInstall_MG app;
  app.run(argc, argv, "Installazione Magazzino");
  return 0;
}