USE 120
JOIN  9                     INTO CODDITTA=CODDITTA
JOIN  6 TO   9    ALIAS 106 INTO TIPOA=TIPOA CODANAGR=CODANAGR
JOIN  6           ALIAS 216 INTO TIPOA=TIPOA CODANAGR=CODANAGR
JOIN  8 TO 216@   ALIAS 218 INTO CODANAGR=CODANAGR
JOIN 13 TO 218@   ALIAS 313 INTO STATO=="" COM==COMNASC
JOIN 13 TO 216@   ALIAS 413 INTO STATO==STATORES COM==COMRES
JOIN 13 TO 216@   ALIAS 513 INTO STATO=="" COM==COMRF
JOIN %STA TO 216@ ALIAS 104 INTO CODTAB=STATORES
END

DESCRIPTION
BEGIN
  120->* "Quadro D bis 770"
  9->* "Ditte"
  6->* "Anagrafica persone fisiche e giuridiche"
  8->* "Anagrafica persone fisiche"
  216@->* "Anagrafica persone fisiche e giuridiche"
  218@->* "Anagrafica persone fisiche (percipiente)"
  313@->* "Comune nascita"
  413@->* "Comune residenza"
  513@->* "Comune residenza fiscale"
END

GENERAL
BEGIN
  OFFSET 0 0
END

SECTION HEADER ODD 6

STRINGA 1 40 1
BEGIN
 KEY "nome ditta"
 PROMPT  1 1 "Ditta: "
 FIELD 9->RAGSOC
END

STRINGA 2 10
BEGIN
 KEY "Data"
 PROMPT  106 1 "Data "
 MESSAGE _TODAY
END

NUMERO 3 7
BEGIN
 KEY "Nr. pagina"
 PROMPT  122 1 "Pagina "
 MESSAGE _PAGENO
END

NUMERO 4 40
BEGIN
 KEY "Intestazione stampa"
 PROMPT  55 2 "Stampa riepilogo SG"
END

END

SECTION BODY ODD 2 COLUMNWISE

STRINGA 1 50
BEGIN
  SPECIAL STRINGA INTESTAZIONE "Ragione Sociale" "Ragione Sociale"
  SPECIAL NUMERO OFFSET "0" "Offset iniziale campo"
  SPECIAL STRINGA FINCATURA "XX" "Fincatura sinistra e destra" 
  KEY "RAGSOC GIURIDICHE"
  PROMPT 1 1 ""
  FIELD 216@->RAGSOC
  GROUP 2
END

STRINGA 2 5
BEGIN
  SPECIAL STRINGA INTESTAZIONE "Caus." "Caus."
  SPECIAL NUMERO OFFSET "0" "Offset iniziale campo"
  SPECIAL STRINGA FINCATURA "XX" "Fincatura sinistra e destra"
  KEY "CAUSALE"
  PROMPT 2 1 ""
  FIELD CAUSALE
END

NUMERO 3 14
BEGIN
  SPECIAL STRINGA INTESTAZIONE "@CTotale" "Totale"
  SPECIAL NUMERO OFFSET "0" "Offset iniziale campo"
  SPECIAL STRINGA FINCATURA "XX" "Fincatura sinistra e destra"
  KEY "TOTALE"
  PROMPT 3 1 ""
  FIELD TOTALE
  PICTURE "###.###.###^^^" 
END

NUMERO 4 14
BEGIN
  SPECIAL STRINGA INTESTAZIONE "Somm. non sogg. iva" "Somm. non sogg. iva"
  SPECIAL NUMERO OFFSET "0" "Offset iniziale campo"
  SPECIAL STRINGA FINCATURA "XX" "Fincatura sinistra e destra"
  KEY "SOMME NON SOGGETTE A RITENUTA"
  PROMPT 4 1 ""
  FIELD SOMME         
  PICTURE "###.###.###^^^" 
END

NUMERO 5 14
BEGIN
  SPECIAL STRINGA INTESTAZIONE "Somm. reg. conv." "Som. reg.conv."
  SPECIAL NUMERO OFFSET "0" "Offset iniziale campo"
  SPECIAL STRINGA FINCATURA "XX" "Fincatura sinistra e destra"
  KEY "SOMREGCONV"
  PROMPT 5 1 ""
  FIELD SOMREGCONV
  PICTURE "###.###.###^^^" 
END

NUMERO 6 14
BEGIN
  SPECIAL STRINGA INTESTAZIONE "@CImponibile" "Imponibile"
  SPECIAL NUMERO OFFSET "0" "Offset iniziale campo"
  SPECIAL STRINGA FINCATURA "XX" "Fincatura sinistra e destra"
  KEY "IMPONIBILE"
  PROMPT 6 1 ""
  FIELD IMPONIBILE    
  PICTURE "###.###.###^^^" 
END

NUMERO 7 14
BEGIN
  SPECIAL STRINGA INTESTAZIONE "@CImporto" "Importo"
  SPECIAL NUMERO OFFSET "0" "Offset iniziale campo"
  SPECIAL STRINGA FINCATURA "XX" "Fincatura sinistra e destra"
  KEY "IMPORTO"
  PROMPT 7 1 ""
  FIELD IMPORTO       
  PICTURE "###.###.###^^^"  
END

STRINGA 8 14
BEGIN
  SPECIAL STRINGA INTESTAZIONE "Contributo 10%" "Contributo 10%"
  SPECIAL NUMERO OFFSET "0" "Offset iniziale campo"
  SPECIAL STRINGA FINCATURA "XX" "Fincatura sinistra e destra"
  KEY "Contributo del 10%"
  PROMPT 8 1  ""
  FIELD CONTR10
END

END




