// Form per la stampa ordini per numero/data

#include "or1100a.h"

USE LF_DOC
JOIN LF_RIGHEDOC INTO CODNUM==CODNUM ANNO==ANNO PROVV==PROVV NDOC==NDOC
JOIN LF_CLIFO TO LF_DOC INTO TIPOCF==TIPOCF CODCF==CODCF
END

DESCRIPTION
BEGIN
END


GENERAL
BEGIN
  OFFSET 0 0
  FONT "Courier New"
  SIZE 10
END


SECTION HEADER ODD 6

STRINGA 1 40 1
BEGIN
 KEY "nome ditta"
 PROMPT  1 1 "Ditta "
 MESSAGE _DITTA, !RAGSOC
END

STRINGA 2 10
BEGIN
 KEY "Data"
 PROMPT  76 1 "Data "
 MESSAGE _TODAY
END

NUMERO 3 7
BEGIN
 KEY "Nr. pagina"
 PROMPT  92 1 "Pagina "
 MESSAGE _PAGENO
END

NUMERO 4 32
BEGIN
 KEY "Intestazione stampa"
 PROMPT  40 2 "Stampa ordini per numero/data"
END

END //HEADER


SECTION BODY ODD 2 COLUMNWISE

STRING 1 22
BEGIN
 SPECIAL STRINGA INTESTAZIONE "Documento" "Documento"
 SPECIAL NUMERO OFFSET "0" "Offset iniziale campo"
 SPECIAL STRINGA FINCATURA "XX" "Fincatura sinistra e destra"
 KEY "Descrizione documento"
 PROMPT 1 1 "@B"
 MESSAGE _STREXPR,CODNUM+"/"+NDOC+" del "+DATADOC
END

STRING 2 50
BEGIN
 SPECIAL STRINGA INTESTAZIONE "Cod./Descrizione" "Cod./Descrizione"
 SPECIAL NUMERO OFFSET "0" "Offset iniziale campo"
 SPECIAL STRINGA FINCATURA "XX" "Fincatura sinistra e destra"
 KEY "Cod./Descrizione"
 PROMPT 2 1 ""
 MESSAGE _STREXPR,CODCF+" "+LF_CLIFO->RAGSOC
 //MESSAGE _CLIENTE, !RAGSOC da implementare a causa degli occasionali...
END


DATA 3 10
BEGIN
 SPECIAL STRINGA INTESTAZIONE "Data cons." "Data cons."
 SPECIAL NUMERO OFFSET "0" "Offset iniziale campo"
 SPECIAL STRINGA FINCATURA "XX" "Fincatura sinistra e destra"
 KEY "Data consegna documento"
 PROMPT 3 1 ""
 FIELD DATACONS
END

NUMBER 4 15
BEGIN
 SPECIAL STRINGA INTESTAZIONE "@CValore" "Valore"
 SPECIAL NUMERO OFFSET "0" "Offset iniziale campo"
 SPECIAL STRINGA FINCATURA "XX" "Fincatura sinistra e destra"
 KEY "Valore"
 PROMPT 4 1 ""
 FIELD TOTVALORE
 PICTURE "."
END

NUMBER 5 11
BEGIN
 SPECIAL STRINGA INTESTAZIONE "@CVal.Residuo" "Val.Residuo"
 SPECIAL NUMERO OFFSET "0" "Offset iniziale campo"
 SPECIAL STRINGA FINCATURA "XX" "Fincatura sinistra e destra"
 KEY "Valore Residuo"
 PROMPT 5 1 ""
 FIELD TOTVALRES
 PICTURE "."
END

STRINGA 6 4
BEGIN
 SPECIAL STRINGA INTESTAZIONE "UM" "UM"
 SPECIAL NUMERO OFFSET "0" "Offset iniziale campo"
 SPECIAL STRINGA FINCATURA "XX" "Fincatura sinistra e destra"
 KEY "Unita' di misura" // Solo intestazione
 FLAGS "H"
 PROMPT 6 1 ""
 GROUP G_DETTAGLIO
END

STRINGA 7 13
BEGIN
 SPECIAL STRINGA INTESTAZIONE "Q.ta Ordinata" "Q.ta Ordinata"
 SPECIAL NUMERO OFFSET "0" "Offset iniziale campo"
 SPECIAL STRINGA FINCATURA "XX" "Fincatura sinistra e destra"
 KEY "Q.ta Ordinata" // Solo intestazione
 FLAGS "H"
 PROMPT 7 1 ""
 GROUP G_DETTAGLIO
END

STRINGA 8 13
BEGIN
 SPECIAL STRINGA INTESTAZIONE "@CQ.ta Evasa" "Q.ta Evasa"
 SPECIAL NUMERO OFFSET "0" "Offset iniziale campo"
 SPECIAL STRINGA FINCATURA "XX" "Fincatura sinistra e destra"
 KEY "Q.ta Evasa" // Solo intestazione
 FLAGS "H"
 PROMPT 8 1 ""
 GROUP G_DETTAGLIO
END

// Sezione di dettaglio righe / raggruppamento articoli per ordine corrente

SECTION DET 2 0 0 FILE LF_RIGHEDOC
 FLAGS "H" // Abilitata solo se dettaglio righe

 SECTION RIGHE 1 1 1 GROUP // Viene cambiata in STREXPR da programma

  STRINGA 100 22
  BEGIN
   PROMPT 1 1 ""
  END

  STRINGA 101 50
  BEGIN
   PROMPT 2 1 ""
   MESSAGE _STREXPR, LF_RIGHEDOC->CODART+" "+LF_RIGHEDOC->DESCR
  END

  DATA 102 10
  BEGIN
   PROMPT 3 1 ""
   FIELD LF_RIGHEDOC->DATACONS
  END
 
  NUMBER 103 15
  BEGIN
   PROMPT 4 1 "" // valore
   FIELD LF_RIGHEDOC->RIGAVALORE
   MESSAGE ADD, FL->203
   PICTURE "."
  END

  NUMBER 104 11
  BEGIN
   PROMPT 5 1 "" // Val residuo riga
   FIELD LF_RIGHEDOC->RIGAVALRES
   MESSAGE ADD, FL->204
   PICTURE "."
  END

  STRINGA  105 4
  BEGIN
   PROMPT 6 1 "" // Unita' di misura
   FIELD LF_RIGHEDOC->UMQTA
  END

  NUMBER 106 13
  BEGIN
   PROMPT 7 1 "" // Q.ta Ordinata
   FIELD LF_RIGHEDOC->QTA
   PICTURE "#@,@@@"
  END 

  NUMBER 107 13
  BEGIN
   PROMPT 8 1 "" // Q.ta Evasa
   FIELD LF_RIGHEDOC->QTAEVASA
   PICTURE "#@,@@@"
  END
  
 END  //SECTION RIGHE

END // SECTION DET

END //BODY  

SECTION FOOTER LAST 5 COLUMNWISE

  STRINGA 200 22
  BEGIN
   PROMPT 1 1 ""
  END

  STRINGA 201 50
  BEGIN
   PROMPT 2 1 "@BTotale:"
  END

  DATA 202 10
  BEGIN
   PROMPT 3 1 ""
  END
 
  NUMBER 203 15
  BEGIN
   PROMPT 4 1 "" // valore
   PICTURE "."
  END

  NUMBER 204 11
  BEGIN
   PROMPT 5 1 "" // Val residuo riga
   PICTURE "."
  END

END //FOOTER

